Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module category :: Class Category |
[frames] | no frames]

# Class Category

source code

       object --+
                |
    base.ItemBase --+
                    |
                   Category

Instance Methods
__init__(self, db=None, id_=None, immutable_value=ImmutableCategory()) x.__init__(...) initializes x; see help(type(x)) for signature | source code
duplicate(self, target_db=None) | source code
update(self, name, color, font_color, parent=None) | source code
save(self) | source code
delete(self) | source code
reload(self) | source code
get_name(self) | source code
set_name(self, name) | source code
get_color(self) | source code
set_color(self, color) | source code
get_progress_color(self) | source code
set_progress_color(self, color) | source code
get_done_color(self) | source code
set_done_color(self, color) | source code
get_font_color(self) | source code
set_font_color(self, font_color) | source code
set_parent(self, parent) | source code
get_exportable_fields(self) | source code
__repr__(self) repr(x) | source code
__eq__(self, other) | source code
__ne__(self, other) | source code
Inherited from `base.ItemBase`: `db`, `ensure_id`, `get_id`, `has_id`, `id`, `set_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| name = `property(get_name, set_name)`
| color = `property(get_color, set_color)`
| progress_color = `property(get_progress_color, set_progress_color)`
| done_color = `property(get_done_color, set_done_color)`
| font_color = `property(get_font_color, set_font_color)`
| parent = `property(_get_parent, set_parent)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db=None, id_=None, immutable_value=ImmutableCategory()) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### duplicate(self, target_db=None) | source code
Overrides: base.ItemBase.duplicate

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)